Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.sourceforge.pebble.web.view
Class PlainTextView

    java.lang.Object
      net.sourceforge.pebble.web.view.View
          net.sourceforge.pebble.web.view.JspView
              net.sourceforge.pebble.web.view.PlainTextView

Direct Known Subclasses:
  LogAsTabDelimitedView

    public class PlainTextView

extends JspView

Represents a plain text view component, implemented by a JSP and prepares the model for display.

Author:
  Simon Brown

Constructor Summary
`PlainTextView()`

Method Summary
`void` | `dispatch(HttpServletRequest request, HttpServletResponse response, ServletContext context)` Dispatches this view.
`java.lang.String` | `getContentType()` Gets the content type of this view.
`java.lang.String` | `getUri()` Gets the URI that implements this view.

Methods inherited from class net.sourceforge.pebble.web.view.View
`getModel, getServletContext, prepare, setModel, setServletContext`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### PlainTextView

    public PlainTextView()

Method Detail

### getContentType

    public java.lang.String getContentType()

  Gets the content type of this view.

  Specified by:
    `getContentType` in class `View`
  Returns:
    the content type as a String

### getUri

    public java.lang.String getUri()

  Gets the URI that implements this view.

  Specified by:
    `getUri` in class `JspView`
  Returns:
    the URI as a String

### dispatch

    public void dispatch(HttpServletRequest request,
                         HttpServletResponse response,
                         ServletContext context)
                  throws ServletException

  Dispatches this view.

  Specified by:
    `dispatch` in class `View`
  Parameters:
    `request` - the HttpServletRequest instance
    `response` - the HttpServletResponse instance
    `context` -
  Throws:
    `ServletException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2006, Simon Brown. All Rights Reserved.